The initial flow zone contains the workflow that was inputted by the user. It can either be a flat file dragged and dropped into the input dataset or a connection to an existing dataset can be setup through the Dataiku application and its data model is described in [this article](article:12).

![Workflow Cleaning Zone.png](2OwOlpMcJjn7)

The first sync recipe only transfers the input data to a managed dataset, that will be the starting point of the whole analysis.

The second recipe incorporates the configuration defined in the [Dataiku application](article:7) and creates the four datasets that will be used in the [webapp](article:8):

- [workflow_clean](dataset:workflow_clean): contains the logs with the columns renamed according to the Dataiku application and some filtering applied using the webapp.
- [workflow_by_activity](dataset:workflow_by_activity): activities frequencies to be used for the activity filtering in the webapp.
- [unique_attributes_values](dataset:unique_attributes_values): precomputation of all the attributes values for the categorical variables that are included as optional filters.
- [numeric_attributes_scales](dataset:numeric_attributes_scales): precomputation of the numeric scales for the numeric variables that are included as optional filters.

The pre-processing steps to create the above datasets included in the [python recipe](recipe:compute_workflow_filtered) are the following:

 1. The three mandatory columns (case, activity, timestamp, and end timestamp when available) are renamed from the source. Additional specified attributes are kept in the dataset, while all others are dropped.
 2. Counts of activity frequency are created and output to the relevant dataset.
 3. Duplicate rows are dropped, and timestamps are parsed. The [three filters](article:13) (excluded activities, time-buffer, self-transition) are applied. The time buffer and self-transition filters are applied iteratively until they no longer filter anything.
 4. Unique categorical values and numeric scales are computed.
