The project comes with a simple Dataiku Application to allow any user to connect their dataset, configure the [webapp](article:8) and run the reporting. The steps are outlined in detail below.

First the user needs to connect the input logs to the project, either through direct drag and drop or by linking an existing dataset.

![Data Upload.png](TeVDfKbkY3Sc)

Load the logs from your local system into the input dataset. The file should contain the mandatory columns needed for the analysis (you will be able to rename/remap the columns in a later step). See [process logs](article:12) for more detail. Then run [upload data](scenario:DATAUPLOAD) to load the data into the next dataset.

![Data Connection.png](exBRH06MFsTb)

First select the connection, the current automatic flow reconfiguration supports Snowflake and PostgreSQL, if you need to switch to another connection, you can do so directly in the flow. Then press the [Reconfigure Flow Connections](scenario:RECONFIGUREFLOWCONNECTIONS) scenario button to switch all datasets to the selected connection, this scenario will delete the input dataset which will no longer be necessary. Finally edit the input workflow dataset to input the name of the input log.

![Webapp Setup.png](R5YQzdatDR3F)

- Refresh: Press the Refresh button to reload the page, this will update the column names for the subsequent column identification step.
- Column Identification: Link the three mandatory columns to the appropriate columns in the input dataset. Then, if available, link the end timestamp column and finally select either to include all other columns as attributes, or select attribute columns manually. For improved user experience, try selecting only those columns you think will be of most value as large numbers of columns selected here will make the visual interface more cluttered. It is possible to select the columns used for case and activity as additional attributes, this will allow you to use them as Filters within in the webapp.
- Build Initial Flow: Press the Build Flow button to activate the [Rebuild Flow scenario](scenario:Rebuild_Flow) that will create the webapp. If later on in your analysis you wish to edit the configuration settings defined above, you can make changes and click the Build Flow buttom again to rerun the process.
- Open Process Mining App: Click this button to access the Process Mining webapp which will have be customized with the settings selected above. The webapp is also accessible via the [dashboard](dashboard:lngA9Pv) or through the Webapps menu [Interactive Process Mining](web_app:TsaekAO). Note that the backend of the webapp must be running for the webapp to be visible in the dashboard.

![Conformance Checks Reporting.png](gWhC95eIDrff)

When a reference process has been defined, it is possible to run a conformance check report that will appear in the dashboard. First select the reference process against which the conformance checks will be run. Then press the scenario button to activate the [Run Reporting scenario](scenario:RUNREPORTING). Finally, access to the right slide of the dashboard through the button. Note that in a production setting, the run reporting scenario could be triggered automatically through a time trigger and the report updated at a chosen frequency.